import request from '/@/utils/request';

//#region ====================== 设备接口 ======================
/**
 * @summary 获取所有设备
 */
export const GetAllEquipment = async (params, req: any = request) => {
	return req({
		url: '/Assets/Equipment/Extensions/GetByGroupID@V1.0',
		method: 'GET',
		data: params,
	});
};

/**
 * @summary 添加一个设备
 */
export const InsertAEquipment = async (params, req: any = request) => {
	return req({
		url: '/Assets/Equipment/Extensions/Insert@V1.0',
		method: 'POST',
		data: params,
	});
};

/**
 * @summary 修改一个设备记录
 */
export const UpdateAEquipment = async (params, req: any = request) => {
	return req({
		url: '/Assets/Equipment/Extensions/Update@V1.0',
		method: 'PUT',
		data: params,
	});
};

/**
 * @summary 删除一条设备记录
 */
export const DeleteAEquipment = async (params, req: any = request) => {
	return req({
		url: '/Assets/Equipment/Extensions/DeleteByID@V1.0',
		method: 'DELETE',
		params: params,
	});
};

/**
 * @summary 修改设备表格排序码
 */
export const UpdateEquipmentSorter = async (params, req: any = request) => {
	return req({
		url: '/Assets/Equipment/UpdateSorter@V1.0',
		method: 'PUT',
		data: params,
	});
};

/**
 * @summary 更新树排序码（更改父级）
 */
export const UpdateEquipmentTreeSortCode = async (params, req: any = request) => {
	return req({
		url: '/Assets/Equipment/UpdateTreeSortCode@V1.0',
		method: 'PUT',
		data: params,
	});
};

/**
 * @summary 检查是否已存在标记
 */
export const GetIsExistEquipmentTagName = async (params, req: any = request) => {
	return req({
		url: '/Assets/Equipment/IsExistTagName@V1.0',
		method: 'GET',
		params: params,
	});
};

/**
 * @summary 更新设备使用状态
 */
export const UpdateEquipmentUseStatus = async (params, req: any = request) => {
	return req({
		url: '/Assets/Equipment/UpdateUseStatus@V1.0',
		method: 'PUT',
		data: params,
	});
};

/**
 * @summary 通过 catalogID 获取属性
 */
export const GetPropertyByCatalogID = async (params, req: any = request) => {
	return req({
		url: '/Basic/Sys/Prop/Struct/GetByCatalogID@V1.0',
		method: 'GET',
		params: params,
	});
};

/**
 * @summary 通过父级分类 ID，获取当前可选分类（剔除掉下层分类）
 */
export const GetAuthorityCatalogByCatalogID = async (params, req: any = request) => {
	return req({
		url: '/Basic/Sys/Catalog/Authority/GetByParentID@V1.0',
		method: 'GET',
		params: params,
	});
};

/**
 * @summary 通过 equipmentID 获取映射测点
 */
export const GetMonitorPointByEquipmentID = async (params, req: any = request) => {
	return req({
		url: '/Assets/Equipment/Monitor/Mapping/GetByEquipmentID@V1.0',
		method: 'GET',
		params: params,
	});
};

/**
 * @summary 设置设备映射的测点
 */
export const SetEquipmentMapMonitorPoint = async (params, req: any = request) => {
	return req({
		url: '/Assets/Equipment/Monitor/Mapping/Set@V1.0',
		method: 'POST',
		data: params,
	});
};

//#endregion
